Get Rate Limits Policy
curl --request GET \
--url https://api.portkey.ai/v1/policies/rate-limits/{rateLimitsPolicyId} \
--header 'x-portkey-api-key: <api-key>'import requests
url = "https://api.portkey.ai/v1/policies/rate-limits/{rateLimitsPolicyId}"
headers = {"x-portkey-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};
fetch('https://api.portkey.ai/v1/policies/rate-limits/{rateLimitsPolicyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "requests",
"unit": "rpm",
"value": 123,
"status": "active",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"conditions": [
{
"key": "api_key",
"value": "*",
"excludes": "<string>"
}
],
"group_by": [
{
"key": "api_key"
}
],
"target": "llm",
"object": "policy_rate_limits"
}Retrieve Rate Limits Policy
Get a single rate limits policy by ID.
GET
/
policies
/
rate-limits
/
{rateLimitsPolicyId}
Get Rate Limits Policy
Portkey is now PRISMA AIRS AI Gateway. See it in action.
Contact Us
Authorizations
Path Parameters
Rate limits policy UUID
Query Parameters
Filter by status
Available options:
active, archived Response
Rate limits policy details
Policy UUID
Policy type
Available options:
requests, tokens Rate unit
Available options:
rpm, rph, rpd, rpw Rate limit value
Policy status
Available options:
active, archived Workspace UUID
Organization UUID
Creation timestamp
Last update timestamp
Policy name
Array of conditions
Show child attributes
Show child attributes
Array of group by fields
Show child attributes
Show child attributes
The target resource for rate limiting:
llm- Apply rate limit to LLM requests (default)mcp_tools- Apply rate limit to MCP tool calls
Available options:
llm, mcp_tools Example:
"policy_rate_limits"
Last modified on August 3, 2026
Was this page helpful?
⌘I

